Subject: bug#47982: closed (Re: bug#47982: Unable to type password for encrypted fs due to usb keyboard)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 14 Jul 2022 04:06:02 +0000

Your bug report

#47982: Unable to type password for encrypted fs due to usb keyboard

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47982: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=47982
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47982: Unable to type password for encrypted fs due to usb keyboard
From: Maxim Cournoyer <[email-masked]>
To: luhui <[email-masked]>
Cc: James Fenn <[email-masked]>, [email-masked]
Date: Thu, 14 Jul 2022 00:05:40 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

luhui <[email-masked]> writes:

> On Fri, Apr 23, 2021 at 09:34:45PM +0100, James Fenn wrote:
>> Hi!
>> 
>> I attempted to install guix system on an gpd micropc laptop, choosing an
>> encrypted filesystem without a separate home partition. The laptop keyboard
>> is a usb keyboard. Once installed,  I was able to use the keyboard for the
>> first time the password was asked for. The second time, however, the
>> keyboard was not functional.
>
> Does your machine have a special kernel module for the keyboard?
> If have, please add the system configuration file:
>
> ```
> (operating-system
>  ;; ...
>  (initrd-modules
>   (append
>    (list
>     "module1"
>     "module2")
>    %base-initrd-modules)))
>
> ```

Being USB, I don't think any special support from the kernel Linux would
need to be enabled, but we'd need to know which keyboard exactly.

Closing since this is a very old bug.  I hope you could sort it out!

Thanks,

Maxim

Subject: Unable to type password for encrypted fs due to usb keyboard
From: James Fenn <[email-masked]>
To: [email-masked]
Date: Fri, 23 Apr 2021 21:34:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

I attempted to install guix system on an gpd micropc laptop, choosing an
encrypted filesystem without a separate home partition. The laptop keyboard
is a usb keyboard. Once installed,  I was able to use the keyboard for the
first time the password was asked for. The second time, however, the
keyboard was not functional.